Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class Parameter

    java.lang.Object
      org.apache.lucene.util.Parameter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BooleanClause.Occur, Field.Index, Field.Store, Field.TermVector, QueryParser.Operator

    public abstract class Parameter

extends Object
implements Serializable

A serializable Enum class.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Parameter(String name)`

Method Summary
`protected Object` | `readResolve()` Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameter

    protected Parameter(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.

  Returns:
    a reference to Parameter as resolved in the local VM
  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.